Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 1922993002: Remove the backspace/shift+backspace navigating the page. (Closed)

Created:
4 years, 7 months ago by ojan
Modified:
4 years, 6 months ago
Reviewers:
Robert Sesek, sky
CC:
chromium-reviews, derat+watch_chromium.org, tfarina, yusukes+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove the backspace/shift+backspace navigating the page. This is part two of https://crrev.com/a9fc5462ba084936191d51a9391ec5255e79a930. Previously, EventHandler.cpp was doing the navigation on Win/Mac and the code in chrome/browser was handling Linux. So the previous UseCounter was correct for Win/Mac. Committed: https://crrev.com/6bb48eb86c7ecd5e735e945166075df48a16e828 Cr-Commit-Position: refs/heads/master@{#390283}

Patch Set 1 #

Patch Set 2 : remove test #

Patch Set 3 : address review #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -40 lines) Patch
M chrome/browser/global_keyboard_shortcuts_mac.mm View 1 chunk +0 lines, -2 lines 0 comments Download
M chrome/browser/global_keyboard_shortcuts_mac_unittest.mm View 1 2 1 chunk +2 lines, -4 lines 0 comments Download
M chrome/browser/ui/views/accelerator_table.cc View 2 chunks +0 lines, -2 lines 0 comments Download
M chrome/browser/ui/views/constrained_window_views_browsertest.cc View 1 1 chunk +0 lines, -26 lines 0 comments Download
M chrome/browser/ui/views/frame/browser_view.cc View 1 chunk +2 lines, -6 lines 0 comments Download

Messages

Total messages: 26 (11 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1922993002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1922993002/1
4 years, 7 months ago (2016-04-26 18:28:22 UTC) #2
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: linux_chromium_asan_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/152149) win_chromium_x64_rel_ng on ...
4 years, 7 months ago (2016-04-26 19:09:38 UTC) #4
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1922993002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1922993002/20001
4 years, 7 months ago (2016-04-26 20:17:39 UTC) #6
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
4 years, 7 months ago (2016-04-26 21:16:52 UTC) #8
ojan
4 years, 7 months ago (2016-04-26 22:52:21 UTC) #10
Robert Sesek
LGTM
4 years, 7 months ago (2016-04-27 00:10:31 UTC) #11
Robert Sesek
I should note that there's a test that references this accelerator, but in the negative: ...
4 years, 7 months ago (2016-04-27 00:13:35 UTC) #12
ojan
On 2016/04/27 at 00:13:35, rsesek wrote: > I should note that there's a test that ...
4 years, 7 months ago (2016-04-27 00:45:52 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1922993002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1922993002/40001
4 years, 7 months ago (2016-04-27 00:46:28 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/173623)
4 years, 7 months ago (2016-04-27 00:54:20 UTC) #18
ojan
Hmmm...git cl lied. Apparently I need review from sky as well. sky, see your email ...
4 years, 7 months ago (2016-04-27 17:03:12 UTC) #20
sky
LGTM
4 years, 7 months ago (2016-04-27 17:44:28 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1922993002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1922993002/40001
4 years, 7 months ago (2016-04-28 02:19:07 UTC) #23
commit-bot: I haz the power
Committed patchset #3 (id:40001)
4 years, 7 months ago (2016-04-28 03:06:41 UTC) #24
commit-bot: I haz the power
4 years, 6 months ago (2016-04-30 17:15:47 UTC) #25
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/6bb48eb86c7ecd5e735e945166075df48a16e828
Cr-Commit-Position: refs/heads/master@{#390283}

Powered by Google App Engine
This is Rietveld 408576698